AOZ Studio Beta - Bug #879

Gosub / Goto sometimes fails when numbered label referenced is the result of a calaulation starting
with a number

12/14/2021 04:44 AM - Brian Flanagan

Status: Resolved Start date: 12/13/2021
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version:

Description

Related to bug #399 (which has been resolved).
For example:

X=10

Gosub 10*X

Print "no erroxr"

End

100 Print "test sub"
Return

The above code fails to transpile with t label not defined at line 2.

If, however, | start the equation with X, it works:

X=10

Gosub X*10
Print "no error"
End

100 Print "test sub"
Return

History

#1 - 04/05/2022 01:41 PM - Francois Lionet

- Status changed from New to Resolved

Fixed!
